package com.hp.user.client.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 王怡静
 * @since 2020/11/19
 * 账号类
 */
public class Account extends Base{
    /**
     * 用户Id
     */
    private Long userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 微信号
     */
    private String wxNumber;
    /**
     * 电话号码
     */
    private String phone;


    public Account(){}

    public Account(Date createTime, Long createUserId, Date updateTime, Long updateUserId, Long userId, String userName, String wxNumber, String phone) {
        super(createTime, createUserId, updateTime, updateUserId);
        this.userId = userId;
        this.userName = userName;
        this.wxNumber = wxNumber;
        this.phone = phone;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getWxNumber() {
        return wxNumber;
    }

    public void setWxNumber(String wxNumber) {
        this.wxNumber = wxNumber;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
