package com.hp.user.client.entity;

import java.io.Serializable;

/**
 * @author 王怡静
 * @since 2020/11/19
 * 公司与服务商关系类
 */
public class ServiceProvider implements Serializable {
    /**
     * 服务商Id
     */
    private Long serviceProviderId;
    /**
     * 企业Id
     */
    private Long enterpriseId;

    private ServiceProvider(){}

    public ServiceProvider(Long serviceProviderId, Long enterpriseId) {
        this.serviceProviderId = serviceProviderId;
        this.enterpriseId = enterpriseId;
    }

    public Long getServiceProviderId() {
        return serviceProviderId;
    }

    public void setServiceProviderId(Long serviceProviderId) {
        this.serviceProviderId = serviceProviderId;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
}
